Subject: bug#20906: 25.0.50;

From: Andreas Schwab <[email-masked]>
Date: Thu, 08 Oct 2015 17:33:55 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Andreas Schwab <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked]
>> Date: Thu, 08 Oct 2015 17:08:20 +0200
>> 
>> > So I guess gui-backend-get-selection on x-win.el should loop over the
>> > possible request types, like x-selection-value-internal did in Emacs
>> > 24.5, is that right?
>> 
>> gui--selection-value-internal still does that.
>
> Right, so gui-get-primary-selection should call that instead of
> calling gui-get-selection, I guess?

I suppose so, if it wants to be the successor of x-get-selection-value.

Andreas.

-- 
Andreas Schwab, SUSE Labs, [email-masked]
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."